/**
 * ActMoodEventOccurrence.java
 *
 * File generated from the medication::ActMoodEventOccurrence uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodEventOccurrence.
 *
 */

@XmlType(name = "ActMoodEventOccurrence")
@XmlEnum
@XmlRootElement(name = "ActMoodEventOccurrence")
public enum ActMoodEventOccurrence {
	@XmlEnumValue("EVN")
	EVN("EVN");
	
	private final String value;

    ActMoodEventOccurrence(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActMoodEventOccurrence fromValue(String v) {
        for (ActMoodEventOccurrence c: ActMoodEventOccurrence.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}